from iana_tz_coord import Coordinates

COORDINATES_BY_TZ_NAME = {
    'Africa/Abidjan': Coordinates(latitude=5.316666666666666, longitude=-4.033333333333333),
    'Africa/Accra': Coordinates(latitude=5.55, longitude=-0.21666666666666667),
    'Africa/Algiers': Coordinates(latitude=36.78333333333333, longitude=3.05),
    'Africa/Bissau': Coordinates(latitude=11.85, longitude=-15.583333333333334),
    'Africa/Cairo': Coordinates(latitude=30.05, longitude=31.25),
    'Africa/Casablanca': Coordinates(latitude=33.65, longitude=-7.583333333333333),
    'Africa/Ceuta': Coordinates(latitude=35.88333333333333, longitude=-5.316666666666666),
    'Africa/El_Aaiun': Coordinates(latitude=27.15, longitude=-13.2),
    'Africa/Johannesburg': Coordinates(latitude=-26.25, longitude=28.0),
    'Africa/Juba': Coordinates(latitude=4.85, longitude=31.616666666666667),
    'Africa/Khartoum': Coordinates(latitude=15.6, longitude=32.53333333333333),
    'Africa/Lagos': Coordinates(latitude=6.45, longitude=3.4),
    'Africa/Maputo': Coordinates(latitude=-25.966666666666665, longitude=32.583333333333336),
    'Africa/Monrovia': Coordinates(latitude=6.3, longitude=-10.783333333333333),
    'Africa/Nairobi': Coordinates(latitude=-1.2833333333333334, longitude=36.81666666666667),
    'Africa/Ndjamena': Coordinates(latitude=12.116666666666667, longitude=15.05),
    'Africa/Sao_Tome': Coordinates(latitude=0.3333333333333333, longitude=6.733333333333333),
    'Africa/Tripoli': Coordinates(latitude=32.9, longitude=13.183333333333334),
    'Africa/Tunis': Coordinates(latitude=36.8, longitude=10.183333333333334),
    'Africa/Windhoek': Coordinates(latitude=-22.566666666666666, longitude=17.1),
    'America/Adak': Coordinates(latitude=51.88, longitude=-176.65805555555556),
    'America/Anchorage': Coordinates(latitude=61.21805555555556, longitude=-149.90027777777777),
    'America/Araguaina': Coordinates(latitude=-7.2, longitude=-48.2),
    'America/Argentina/Buenos_Aires': Coordinates(latitude=-34.6, longitude=-58.45),
    'America/Argentina/Catamarca': Coordinates(latitude=-28.466666666666665, longitude=-65.78333333333333),
    'America/Argentina/Cordoba': Coordinates(latitude=-31.4, longitude=-64.18333333333334),
    'America/Argentina/Jujuy': Coordinates(latitude=-24.183333333333334, longitude=-65.3),
    'America/Argentina/La_Rioja': Coordinates(latitude=-29.433333333333334, longitude=-66.85),
    'America/Argentina/Mendoza': Coordinates(latitude=-32.88333333333333, longitude=-68.81666666666666),
    'America/Argentina/Rio_Gallegos': Coordinates(latitude=-51.63333333333333, longitude=-69.21666666666667),
    'America/Argentina/Salta': Coordinates(latitude=-24.783333333333335, longitude=-65.41666666666667),
    'America/Argentina/San_Juan': Coordinates(latitude=-31.533333333333335, longitude=-68.51666666666667),
    'America/Argentina/San_Luis': Coordinates(latitude=-33.31666666666667, longitude=-66.35),
    'America/Argentina/Tucuman': Coordinates(latitude=-26.816666666666666, longitude=-65.21666666666667),
    'America/Argentina/Ushuaia': Coordinates(latitude=-54.8, longitude=-68.3),

    # Without '/Argentina/' prefix
    'America/Buenos_Aires': Coordinates(latitude=-34.6, longitude=-58.45),
    'America/Catamarca': Coordinates(latitude=-28.466666666666665, longitude=-65.78333333333333),
    'America/Cordoba': Coordinates(latitude=-31.4, longitude=-64.18333333333334),
    'America/Jujuy': Coordinates(latitude=-24.183333333333334, longitude=-65.3),
    'America/La_Rioja': Coordinates(latitude=-29.433333333333334, longitude=-66.85),
    'America/Mendoza': Coordinates(latitude=-32.88333333333333, longitude=-68.81666666666666),
    'America/Rio_Gallegos': Coordinates(latitude=-51.63333333333333, longitude=-69.21666666666667),
    'America/Salta': Coordinates(latitude=-24.783333333333335, longitude=-65.41666666666667),
    'America/San_Juan': Coordinates(latitude=-31.533333333333335, longitude=-68.51666666666667),
    'America/San_Luis': Coordinates(latitude=-33.31666666666667, longitude=-66.35),
    'America/Tucuman': Coordinates(latitude=-26.816666666666666, longitude=-65.21666666666667),
    'America/Ushuaia': Coordinates(latitude=-54.8, longitude=-68.3),
    # / Without '/Argentina/' prefix

    'America/Asuncion': Coordinates(latitude=-25.266666666666666, longitude=-57.666666666666664),
    'America/Atikokan': Coordinates(latitude=48.75861111111111, longitude=-91.62166666666667),
    'America/Bahia': Coordinates(latitude=-12.983333333333333, longitude=-38.516666666666666),
    'America/Bahia_Banderas': Coordinates(latitude=20.8, longitude=-105.25),
    'America/Barbados': Coordinates(latitude=13.1, longitude=-59.61666666666667),
    'America/Belem': Coordinates(latitude=-1.45, longitude=-48.483333333333334),
    'America/Belize': Coordinates(latitude=17.5, longitude=-88.2),
    'America/Blanc-Sablon': Coordinates(latitude=51.416666666666664, longitude=-57.11666666666667),
    'America/Boa_Vista': Coordinates(latitude=2.816666666666667, longitude=-60.666666666666664),
    'America/Bogota': Coordinates(latitude=4.6, longitude=-74.08333333333333),
    'America/Boise': Coordinates(latitude=43.61361111111111, longitude=-116.2025),
    'America/Cambridge_Bay': Coordinates(latitude=69.1138888888889, longitude=-105.05277777777778),
    'America/Campo_Grande': Coordinates(latitude=-20.45, longitude=-54.61666666666667),
    'America/Cancun': Coordinates(latitude=21.083333333333332, longitude=-86.76666666666667),
    'America/Caracas': Coordinates(latitude=10.5, longitude=-66.93333333333334),
    'America/Cayenne': Coordinates(latitude=4.933333333333334, longitude=-52.333333333333336),
    'America/Chicago': Coordinates(latitude=41.85, longitude=-87.65),
    'America/Chihuahua': Coordinates(latitude=28.633333333333333, longitude=-106.08333333333333),
    'America/Costa_Rica': Coordinates(latitude=9.933333333333334, longitude=-84.08333333333333),
    'America/Creston': Coordinates(latitude=49.1, longitude=-116.51666666666667),
    'America/Cuiaba': Coordinates(latitude=-15.583333333333334, longitude=-56.083333333333336),
    'America/Curacao': Coordinates(latitude=12.183333333333334, longitude=-69.0),
    'America/Danmarkshavn': Coordinates(latitude=76.76666666666667, longitude=-18.666666666666668),
    'America/Dawson': Coordinates(latitude=64.06666666666666, longitude=-139.41666666666666),
    'America/Dawson_Creek': Coordinates(latitude=59.766666666666666, longitude=-120.23333333333333),
    'America/Denver': Coordinates(latitude=39.73916666666667, longitude=-104.98416666666667),
    'America/Detroit': Coordinates(latitude=42.33138888888889, longitude=-83.04583333333333),
    'America/Edmonton': Coordinates(latitude=53.55, longitude=-113.46666666666667),
    'America/Eirunepe': Coordinates(latitude=-6.666666666666667, longitude=-69.86666666666666),
    'America/El_Salvador': Coordinates(latitude=13.7, longitude=-89.2),
    'America/Fort_Nelson': Coordinates(latitude=58.8, longitude=-122.7),
    'America/Fortaleza': Coordinates(latitude=-3.716666666666667, longitude=-38.5),
    'America/Glace_Bay': Coordinates(latitude=46.2, longitude=-59.95),
    'America/Godthab': Coordinates(latitude=64.18333333333334, longitude=-51.733333333333334),
    'America/Goose_Bay': Coordinates(latitude=53.333333333333336, longitude=-60.416666666666664),
    'America/Grand_Turk': Coordinates(latitude=21.466666666666665, longitude=-71.13333333333334),
    'America/Guatemala': Coordinates(latitude=14.633333333333333, longitude=-90.51666666666667),
    'America/Guayaquil': Coordinates(latitude=-2.1666666666666665, longitude=-79.83333333333333),
    'America/Guyana': Coordinates(latitude=6.8, longitude=-58.166666666666664),
    'America/Halifax': Coordinates(latitude=44.65, longitude=-63.6),
    'America/Havana': Coordinates(latitude=23.133333333333333, longitude=-82.36666666666666),
    'America/Hermosillo': Coordinates(latitude=29.066666666666666, longitude=-110.96666666666667),
    'America/Indiana/Indianapolis': Coordinates(latitude=39.76833333333333, longitude=-86.15805555555555),
    'America/Indiana/Knox': Coordinates(latitude=41.295833333333334, longitude=-86.625),
    'America/Indiana/Marengo': Coordinates(latitude=38.37555555555556, longitude=-86.34472222222222),
    'America/Indiana/Petersburg': Coordinates(latitude=38.49194444444444, longitude=-87.2786111111111),
    'America/Indiana/Tell_City': Coordinates(latitude=37.95305555555556, longitude=-86.76138888888889),
    'America/Indiana/Vevay': Coordinates(latitude=38.74777777777778, longitude=-85.06722222222223),
    'America/Indiana/Vincennes': Coordinates(latitude=38.67722222222222, longitude=-87.5286111111111),
    'America/Indiana/Winamac': Coordinates(latitude=41.05138888888889, longitude=-86.60305555555556),

    # Without '/Indiana/' prefix
    'America/Indianapolis': Coordinates(latitude=39.76833333333333, longitude=-86.15805555555555),
    'America/Knox': Coordinates(latitude=41.295833333333334, longitude=-86.625),
    'America/Marengo': Coordinates(latitude=38.37555555555556, longitude=-86.34472222222222),
    'America/Petersburg': Coordinates(latitude=38.49194444444444, longitude=-87.2786111111111),
    'America/Tell_City': Coordinates(latitude=37.95305555555556, longitude=-86.76138888888889),
    'America/Vevay': Coordinates(latitude=38.74777777777778, longitude=-85.06722222222223),
    'America/Vincennes': Coordinates(latitude=38.67722222222222, longitude=-87.5286111111111),
    'America/Winamac': Coordinates(latitude=41.05138888888889, longitude=-86.60305555555556),
    # / Without '/Indiana/' prefix

    'America/Inuvik': Coordinates(latitude=68.34972222222223, longitude=-133.71666666666667),
    'America/Iqaluit': Coordinates(latitude=63.733333333333334, longitude=-68.46666666666667),
    'America/Jamaica': Coordinates(latitude=17.968055555555555, longitude=-76.79333333333334),
    'America/Juneau': Coordinates(latitude=58.301944444444445, longitude=-134.41972222222222),
    'America/Kentucky/Louisville': Coordinates(latitude=38.25416666666667, longitude=-85.75944444444444),
    'America/Kentucky/Monticello': Coordinates(latitude=36.82972222222222, longitude=-84.84916666666666),

    # Without '/Kentucky/' prefix
    'America/Louisville': Coordinates(latitude=38.25416666666667, longitude=-85.75944444444444),
    'America/Monticello': Coordinates(latitude=36.82972222222222, longitude=-84.84916666666666),
    # / Without '/Kentucky/' prefix

    'America/La_Paz': Coordinates(latitude=-16.5, longitude=-68.15),
    'America/Lima': Coordinates(latitude=-12.05, longitude=-77.05),
    'America/Los_Angeles': Coordinates(latitude=34.05222222222222, longitude=-118.24277777777777),
    'America/Maceio': Coordinates(latitude=-9.666666666666666, longitude=-35.71666666666667),
    'America/Managua': Coordinates(latitude=12.15, longitude=-86.28333333333333),
    'America/Manaus': Coordinates(latitude=-3.1333333333333333, longitude=-60.016666666666666),
    'America/Martinique': Coordinates(latitude=14.6, longitude=-61.083333333333336),
    'America/Matamoros': Coordinates(latitude=25.833333333333332, longitude=-97.5),
    'America/Mazatlan': Coordinates(latitude=23.216666666666665, longitude=-106.41666666666667),
    'America/Menominee': Coordinates(latitude=45.10777777777778, longitude=-87.61416666666666),
    'America/Merida': Coordinates(latitude=20.966666666666665, longitude=-89.61666666666666),
    'America/Metlakatla': Coordinates(latitude=55.12694444444445, longitude=-131.57638888888889),
    'America/Mexico_City': Coordinates(latitude=19.4, longitude=-99.15),
    'America/Miquelon': Coordinates(latitude=47.05, longitude=-56.333333333333336),
    'America/Moncton': Coordinates(latitude=46.1, longitude=-64.78333333333333),
    'America/Monterrey': Coordinates(latitude=25.666666666666668, longitude=-100.31666666666666),
    'America/Montevideo': Coordinates(latitude=-34.909166666666664, longitude=-56.2125),

    # Manually added
    'America/Montreal': Coordinates(latitude=45.5017, longitude=-73.5673),

    'America/Nassau': Coordinates(latitude=25.083333333333332, longitude=-77.35),
    'America/New_York': Coordinates(latitude=40.714166666666664, longitude=-74.00638888888889),
    'America/Nipigon': Coordinates(latitude=49.016666666666666, longitude=-88.26666666666667),
    'America/Nome': Coordinates(latitude=64.50111111111111, longitude=-165.4063888888889),
    'America/Noronha': Coordinates(latitude=-3.85, longitude=-32.416666666666664),
    'America/North_Dakota/Beulah': Coordinates(latitude=47.26416666666667, longitude=-101.77777777777777),
    'America/North_Dakota/Center': Coordinates(latitude=47.11638888888889, longitude=-101.29916666666666),
    'America/North_Dakota/New_Salem': Coordinates(latitude=46.845, longitude=-101.41083333333333),

    # Without '/North_Dakota/' prefix
    'America/Beulah': Coordinates(latitude=47.26416666666667, longitude=-101.77777777777777),
    'America/Center': Coordinates(latitude=47.11638888888889, longitude=-101.29916666666666),
    'America/New_Salem': Coordinates(latitude=46.845, longitude=-101.41083333333333),
    # / Without '/North_Dakota/' prefix

    'America/Ojinaga': Coordinates(latitude=29.566666666666666, longitude=-104.41666666666667),
    'America/Panama': Coordinates(latitude=8.966666666666667, longitude=-79.53333333333333),
    'America/Pangnirtung': Coordinates(latitude=66.13333333333334, longitude=-65.73333333333333),
    'America/Paramaribo': Coordinates(latitude=5.833333333333333, longitude=-55.166666666666664),
    'America/Phoenix': Coordinates(latitude=33.44833333333333, longitude=-112.07333333333334),
    'America/Port-au-Prince': Coordinates(latitude=18.533333333333335, longitude=-72.33333333333333),
    'America/Port_of_Spain': Coordinates(latitude=10.65, longitude=-61.516666666666666),
    'America/Porto_Velho': Coordinates(latitude=-8.766666666666667, longitude=-63.9),
    'America/Puerto_Rico': Coordinates(latitude=18.468333333333334, longitude=-66.1061111111111),
    'America/Punta_Arenas': Coordinates(latitude=-53.15, longitude=-70.91666666666667),
    'America/Rainy_River': Coordinates(latitude=48.71666666666667, longitude=-94.56666666666666),
    'America/Rankin_Inlet': Coordinates(latitude=62.81666666666667, longitude=-92.08305555555556),
    'America/Recife': Coordinates(latitude=-8.05, longitude=-34.9),
    'America/Regina': Coordinates(latitude=50.4, longitude=-104.65),
    'America/Resolute': Coordinates(latitude=74.69555555555556, longitude=-94.82916666666667),
    'America/Rio_Branco': Coordinates(latitude=-9.966666666666667, longitude=-67.8),
    'America/Santarem': Coordinates(latitude=-2.433333333333333, longitude=-54.86666666666667),
    'America/Santiago': Coordinates(latitude=-33.45, longitude=-70.66666666666667),
    'America/Santo_Domingo': Coordinates(latitude=18.466666666666665, longitude=-69.9),
    'America/Sao_Paulo': Coordinates(latitude=-23.533333333333335, longitude=-46.61666666666667),
    'America/Scoresbysund': Coordinates(latitude=70.48333333333333, longitude=-21.966666666666665),
    'America/Sitka': Coordinates(latitude=57.17638888888889, longitude=-135.30194444444444),
    'America/St_Johns': Coordinates(latitude=47.56666666666667, longitude=-52.71666666666667),
    'America/Swift_Current': Coordinates(latitude=50.28333333333333, longitude=-107.83333333333333),
    'America/Tegucigalpa': Coordinates(latitude=14.1, longitude=-87.21666666666667),
    'America/Thule': Coordinates(latitude=76.56666666666666, longitude=-68.78333333333333),
    'America/Thunder_Bay': Coordinates(latitude=48.38333333333333, longitude=-89.25),
    'America/Tijuana': Coordinates(latitude=32.53333333333333, longitude=-117.01666666666667),
    'America/Toronto': Coordinates(latitude=43.65, longitude=-79.38333333333334),
    'America/Vancouver': Coordinates(latitude=49.266666666666666, longitude=-123.11666666666666),
    'America/Whitehorse': Coordinates(latitude=60.71666666666667, longitude=-135.05),
    'America/Winnipeg': Coordinates(latitude=49.88333333333333, longitude=-97.15),
    'America/Yakutat': Coordinates(latitude=59.54694444444444, longitude=-139.72722222222222),
    'America/Yellowknife': Coordinates(latitude=62.45, longitude=-114.35),
    'Antarctica/Casey': Coordinates(latitude=-66.28333333333333, longitude=110.51666666666667),
    'Antarctica/Davis': Coordinates(latitude=-68.58333333333333, longitude=77.96666666666667),
    'Antarctica/DumontDUrville': Coordinates(latitude=-66.66666666666667, longitude=140.01666666666668),
    'Antarctica/Macquarie': Coordinates(latitude=-54.5, longitude=158.95),
    'Antarctica/Mawson': Coordinates(latitude=-67.6, longitude=62.88333333333333),
    'Antarctica/Palmer': Coordinates(latitude=-64.8, longitude=-64.1),
    'Antarctica/Rothera': Coordinates(latitude=-67.56666666666666, longitude=-68.13333333333334),
    'Antarctica/Syowa': Coordinates(latitude=-69.00611111111111, longitude=39.59),
    'Antarctica/Troll': Coordinates(latitude=-72.01138888888889, longitude=2.535),
    'Antarctica/Vostok': Coordinates(latitude=-78.4, longitude=106.9),
    'Asia/Almaty': Coordinates(latitude=43.25, longitude=76.95),
    'Asia/Amman': Coordinates(latitude=31.95, longitude=35.93333333333333),
    'Asia/Anadyr': Coordinates(latitude=64.75, longitude=177.48333333333332),
    'Asia/Aqtau': Coordinates(latitude=44.516666666666666, longitude=50.266666666666666),
    'Asia/Aqtobe': Coordinates(latitude=50.28333333333333, longitude=57.166666666666664),
    'Asia/Ashgabat': Coordinates(latitude=37.95, longitude=58.38333333333333),
    'Asia/Atyrau': Coordinates(latitude=47.11666666666667, longitude=51.93333333333333),
    'Asia/Baghdad': Coordinates(latitude=33.35, longitude=44.416666666666664),
    'Asia/Baku': Coordinates(latitude=40.38333333333333, longitude=49.85),
    'Asia/Bangkok': Coordinates(latitude=13.75, longitude=100.51666666666667),
    'Asia/Barnaul': Coordinates(latitude=53.36666666666667, longitude=83.75),
    'Asia/Beirut': Coordinates(latitude=33.88333333333333, longitude=35.5),
    'Asia/Bishkek': Coordinates(latitude=42.9, longitude=74.6),
    'Asia/Brunei': Coordinates(latitude=4.933333333333334, longitude=114.91666666666667),
    'Asia/Chita': Coordinates(latitude=52.05, longitude=113.46666666666667),
    'Asia/Choibalsan': Coordinates(latitude=48.06666666666667, longitude=114.5),
    'Asia/Colombo': Coordinates(latitude=6.933333333333334, longitude=79.85),
    'Asia/Damascus': Coordinates(latitude=33.5, longitude=36.3),
    'Asia/Dhaka': Coordinates(latitude=23.716666666666665, longitude=90.41666666666667),
    'Asia/Dili': Coordinates(latitude=-8.55, longitude=125.58333333333333),
    'Asia/Dubai': Coordinates(latitude=25.3, longitude=55.3),
    'Asia/Dushanbe': Coordinates(latitude=38.583333333333336, longitude=68.8),
    'Asia/Famagusta': Coordinates(latitude=35.11666666666667, longitude=33.95),
    'Asia/Gaza': Coordinates(latitude=31.5, longitude=34.46666666666667),
    'Asia/Hebron': Coordinates(latitude=31.533333333333335, longitude=35.095),
    'Asia/Ho_Chi_Minh': Coordinates(latitude=10.75, longitude=106.66666666666667),
    'Asia/Hong_Kong': Coordinates(latitude=22.283333333333335, longitude=114.15),
    'Asia/Hovd': Coordinates(latitude=48.016666666666666, longitude=91.65),
    'Asia/Irkutsk': Coordinates(latitude=52.266666666666666, longitude=104.33333333333333),
    'Asia/Jakarta': Coordinates(latitude=-6.166666666666667, longitude=106.8),
    'Asia/Jayapura': Coordinates(latitude=-2.533333333333333, longitude=140.7),
    'Asia/Jerusalem': Coordinates(latitude=31.780555555555555, longitude=35.22388888888889),
    'Asia/Kabul': Coordinates(latitude=34.516666666666666, longitude=69.2),
    'Asia/Kamchatka': Coordinates(latitude=53.016666666666666, longitude=158.65),
    'Asia/Karachi': Coordinates(latitude=24.866666666666667, longitude=67.05),
    'Asia/Kathmandu': Coordinates(latitude=27.716666666666665, longitude=85.31666666666666),
    'Asia/Khandyga': Coordinates(latitude=62.65638888888889, longitude=135.55388888888888),
    'Asia/Kolkata': Coordinates(latitude=22.533333333333335, longitude=88.36666666666666),
    'Asia/Krasnoyarsk': Coordinates(latitude=56.016666666666666, longitude=92.83333333333333),
    'Asia/Kuala_Lumpur': Coordinates(latitude=3.1666666666666665, longitude=101.7),
    'Asia/Kuching': Coordinates(latitude=1.55, longitude=110.33333333333333),
    'Asia/Macau': Coordinates(latitude=22.197222222222223, longitude=113.54166666666667),
    'Asia/Magadan': Coordinates(latitude=59.56666666666667, longitude=150.8),
    'Asia/Makassar': Coordinates(latitude=-5.116666666666666, longitude=119.4),
    'Asia/Manila': Coordinates(latitude=14.583333333333334, longitude=121.0),
    'Asia/Nicosia': Coordinates(latitude=35.166666666666664, longitude=33.36666666666667),
    'Asia/Novokuznetsk': Coordinates(latitude=53.75, longitude=87.11666666666666),
    'Asia/Novosibirsk': Coordinates(latitude=55.03333333333333, longitude=82.91666666666667),
    'Asia/Omsk': Coordinates(latitude=55.0, longitude=73.4),
    'Asia/Oral': Coordinates(latitude=51.21666666666667, longitude=51.35),
    'Asia/Pontianak': Coordinates(latitude=-0.03333333333333333, longitude=109.33333333333333),
    'Asia/Pyongyang': Coordinates(latitude=39.016666666666666, longitude=125.75),
    'Asia/Qatar': Coordinates(latitude=25.283333333333335, longitude=51.53333333333333),
    'Asia/Qyzylorda': Coordinates(latitude=44.8, longitude=65.46666666666667),
    'Asia/Riyadh': Coordinates(latitude=24.633333333333333, longitude=46.71666666666667),
    'Asia/Sakhalin': Coordinates(latitude=46.96666666666667, longitude=142.7),
    'Asia/Samarkand': Coordinates(latitude=39.666666666666664, longitude=66.8),
    'Asia/Seoul': Coordinates(latitude=37.55, longitude=126.96666666666667),
    'Asia/Shanghai': Coordinates(latitude=31.233333333333334, longitude=121.46666666666667),
    'Asia/Singapore': Coordinates(latitude=1.2833333333333334, longitude=103.85),
    'Asia/Srednekolymsk': Coordinates(latitude=67.46666666666667, longitude=153.71666666666667),
    'Asia/Taipei': Coordinates(latitude=25.05, longitude=121.5),
    'Asia/Tashkent': Coordinates(latitude=41.333333333333336, longitude=69.3),
    'Asia/Tbilisi': Coordinates(latitude=41.71666666666667, longitude=44.81666666666667),
    'Asia/Tehran': Coordinates(latitude=35.666666666666664, longitude=51.43333333333333),
    'Asia/Thimphu': Coordinates(latitude=27.466666666666665, longitude=89.65),
    'Asia/Tokyo': Coordinates(latitude=35.654444444444444, longitude=139.7447222222222),
    'Asia/Tomsk': Coordinates(latitude=56.5, longitude=84.96666666666667),
    'Asia/Ulaanbaatar': Coordinates(latitude=47.916666666666664, longitude=106.88333333333334),
    'Asia/Urumqi': Coordinates(latitude=43.8, longitude=87.58333333333333),
    'Asia/Ust-Nera': Coordinates(latitude=64.56027777777778, longitude=143.22666666666666),
    'Asia/Vladivostok': Coordinates(latitude=43.166666666666664, longitude=131.93333333333334),
    'Asia/Yakutsk': Coordinates(latitude=62.0, longitude=129.66666666666666),
    'Asia/Yangon': Coordinates(latitude=16.783333333333335, longitude=96.16666666666667),
    'Asia/Yekaterinburg': Coordinates(latitude=56.85, longitude=60.6),
    'Asia/Yerevan': Coordinates(latitude=40.18333333333333, longitude=44.5),
    'Atlantic/Azores': Coordinates(latitude=37.733333333333334, longitude=-25.666666666666668),
    'Atlantic/Bermuda': Coordinates(latitude=32.28333333333333, longitude=-64.76666666666667),
    'Atlantic/Canary': Coordinates(latitude=28.1, longitude=-15.4),
    'Atlantic/Cape_Verde': Coordinates(latitude=14.916666666666666, longitude=-23.516666666666666),
    'Atlantic/Faroe': Coordinates(latitude=62.016666666666666, longitude=-6.766666666666667),
    'Atlantic/Madeira': Coordinates(latitude=32.63333333333333, longitude=-16.9),
    'Atlantic/Reykjavik': Coordinates(latitude=64.15, longitude=-21.85),
    'Atlantic/South_Georgia': Coordinates(latitude=-54.266666666666666, longitude=-36.53333333333333),
    'Atlantic/Stanley': Coordinates(latitude=-51.7, longitude=-57.85),
    'Australia/Adelaide': Coordinates(latitude=-34.916666666666664, longitude=138.58333333333334),
    'Australia/Brisbane': Coordinates(latitude=-27.466666666666665, longitude=153.03333333333333),
    'Australia/Broken_Hill': Coordinates(latitude=-31.95, longitude=141.45),
    'Australia/Currie': Coordinates(latitude=-39.93333333333333, longitude=143.86666666666667),
    'Australia/Darwin': Coordinates(latitude=-12.466666666666667, longitude=130.83333333333334),
    'Australia/Eucla': Coordinates(latitude=-31.716666666666665, longitude=128.86666666666667),
    'Australia/Hobart': Coordinates(latitude=-42.88333333333333, longitude=147.31666666666666),
    'Australia/Lindeman': Coordinates(latitude=-20.266666666666666, longitude=149.0),
    'Australia/Lord_Howe': Coordinates(latitude=-31.55, longitude=159.08333333333334),
    'Australia/Melbourne': Coordinates(latitude=-37.81666666666667, longitude=144.96666666666667),
    'Australia/Perth': Coordinates(latitude=-31.95, longitude=115.85),
    'Australia/Sydney': Coordinates(latitude=-33.86666666666667, longitude=151.21666666666667),
    'Europe/Amsterdam': Coordinates(latitude=52.36666666666667, longitude=4.9),
    'Europe/Andorra': Coordinates(latitude=42.5, longitude=1.5166666666666666),
    'Europe/Astrakhan': Coordinates(latitude=46.35, longitude=48.05),
    'Europe/Athens': Coordinates(latitude=37.96666666666667, longitude=23.716666666666665),
    'Europe/Belgrade': Coordinates(latitude=44.833333333333336, longitude=20.5),
    'Europe/Berlin': Coordinates(latitude=52.5, longitude=13.366666666666667),
    'Europe/Brussels': Coordinates(latitude=50.833333333333336, longitude=4.333333333333333),
    'Europe/Bucharest': Coordinates(latitude=44.43333333333333, longitude=26.1),
    'Europe/Budapest': Coordinates(latitude=47.5, longitude=19.083333333333332),
    'Europe/Chisinau': Coordinates(latitude=47.0, longitude=28.833333333333332),
    'Europe/Copenhagen': Coordinates(latitude=55.666666666666664, longitude=12.583333333333334),
    'Europe/Dublin': Coordinates(latitude=53.333333333333336, longitude=-6.25),
    'Europe/Gibraltar': Coordinates(latitude=36.13333333333333, longitude=-5.35),
    'Europe/Helsinki': Coordinates(latitude=60.166666666666664, longitude=24.966666666666665),
    'Europe/Istanbul': Coordinates(latitude=41.016666666666666, longitude=28.966666666666665),
    'Europe/Kaliningrad': Coordinates(latitude=54.71666666666667, longitude=20.5),
    'Europe/Kiev': Coordinates(latitude=50.43333333333333, longitude=30.516666666666666),
    'Europe/Kirov': Coordinates(latitude=58.6, longitude=49.65),
    'Europe/Lisbon': Coordinates(latitude=38.71666666666667, longitude=-9.133333333333333),
    'Europe/London': Coordinates(latitude=51.50833333333333, longitude=-0.12527777777777777),
    'Europe/Luxembourg': Coordinates(latitude=49.6, longitude=6.15),
    'Europe/Madrid': Coordinates(latitude=40.4, longitude=-3.683333333333333),
    'Europe/Malta': Coordinates(latitude=35.9, longitude=14.516666666666667),
    'Europe/Minsk': Coordinates(latitude=53.9, longitude=27.566666666666666),
    'Europe/Monaco': Coordinates(latitude=43.7, longitude=7.383333333333334),
    'Europe/Moscow': Coordinates(latitude=55.755833333333335, longitude=37.617777777777775),
    'Europe/Oslo': Coordinates(latitude=59.916666666666664, longitude=10.75),
    'Europe/Paris': Coordinates(latitude=48.86666666666667, longitude=2.3333333333333335),
    'Europe/Prague': Coordinates(latitude=50.083333333333336, longitude=14.433333333333334),
    'Europe/Riga': Coordinates(latitude=56.95, longitude=24.1),
    'Europe/Rome': Coordinates(latitude=41.9, longitude=12.483333333333333),
    'Europe/Samara': Coordinates(latitude=53.2, longitude=50.15),
    'Europe/Saratov': Coordinates(latitude=51.56666666666667, longitude=46.03333333333333),
    'Europe/Simferopol': Coordinates(latitude=44.95, longitude=34.1),
    'Europe/Sofia': Coordinates(latitude=42.68333333333333, longitude=23.316666666666666),
    'Europe/Stockholm': Coordinates(latitude=59.333333333333336, longitude=18.05),
    'Europe/Tallinn': Coordinates(latitude=59.416666666666664, longitude=24.75),
    'Europe/Tirane': Coordinates(latitude=41.333333333333336, longitude=19.833333333333332),
    'Europe/Ulyanovsk': Coordinates(latitude=54.333333333333336, longitude=48.4),
    'Europe/Uzhgorod': Coordinates(latitude=48.61666666666667, longitude=22.3),
    'Europe/Vienna': Coordinates(latitude=48.21666666666667, longitude=16.333333333333332),
    'Europe/Vilnius': Coordinates(latitude=54.68333333333333, longitude=25.316666666666666),
    'Europe/Volgograd': Coordinates(latitude=48.733333333333334, longitude=44.416666666666664),
    'Europe/Warsaw': Coordinates(latitude=52.25, longitude=21.0),
    'Europe/Zaporozhye': Coordinates(latitude=47.833333333333336, longitude=35.166666666666664),
    'Europe/Zurich': Coordinates(latitude=47.38333333333333, longitude=8.533333333333333),
    'Indian/Chagos': Coordinates(latitude=-7.333333333333333, longitude=72.41666666666667),
    'Indian/Christmas': Coordinates(latitude=-10.416666666666666, longitude=105.71666666666667),
    'Indian/Cocos': Coordinates(latitude=-12.166666666666666, longitude=96.91666666666667),
    'Indian/Kerguelen': Coordinates(latitude=-49.352777777777774, longitude=70.2175),
    'Indian/Mahe': Coordinates(latitude=-4.666666666666667, longitude=55.46666666666667),
    'Indian/Maldives': Coordinates(latitude=4.166666666666667, longitude=73.5),
    'Indian/Mauritius': Coordinates(latitude=-20.166666666666668, longitude=57.5),
    'Indian/Reunion': Coordinates(latitude=-20.866666666666667, longitude=55.46666666666667),
    'Pacific/Apia': Coordinates(latitude=-13.833333333333334, longitude=-171.73333333333332),
    'Pacific/Auckland': Coordinates(latitude=-36.86666666666667, longitude=174.76666666666668),
    'Pacific/Bougainville': Coordinates(latitude=-6.216666666666667, longitude=155.56666666666666),
    'Pacific/Chatham': Coordinates(latitude=-43.95, longitude=-176.55),
    'Pacific/Chuuk': Coordinates(latitude=7.416666666666667, longitude=151.78333333333333),
    'Pacific/Easter': Coordinates(latitude=-27.15, longitude=-109.43333333333334),
    'Pacific/Efate': Coordinates(latitude=-17.666666666666668, longitude=168.41666666666666),
    'Pacific/Enderbury': Coordinates(latitude=-3.1333333333333333, longitude=-171.08333333333334),
    'Pacific/Fakaofo': Coordinates(latitude=-9.366666666666667, longitude=-171.23333333333332),
    'Pacific/Fiji': Coordinates(latitude=-18.133333333333333, longitude=178.41666666666666),
    'Pacific/Funafuti': Coordinates(latitude=-8.516666666666667, longitude=179.21666666666667),
    'Pacific/Galapagos': Coordinates(latitude=-0.9, longitude=-89.6),
    'Pacific/Gambier': Coordinates(latitude=-23.133333333333333, longitude=-134.95),
    'Pacific/Guadalcanal': Coordinates(latitude=-9.533333333333333, longitude=160.2),
    'Pacific/Guam': Coordinates(latitude=13.466666666666667, longitude=144.75),
    'Pacific/Honolulu': Coordinates(latitude=21.306944444444444, longitude=-157.85833333333332),
    'Pacific/Kiritimati': Coordinates(latitude=1.8666666666666667, longitude=-157.33333333333334),
    'Pacific/Kosrae': Coordinates(latitude=5.316666666666666, longitude=162.98333333333332),
    'Pacific/Kwajalein': Coordinates(latitude=9.083333333333334, longitude=167.33333333333334),
    'Pacific/Majuro': Coordinates(latitude=7.15, longitude=171.2),
    'Pacific/Marquesas': Coordinates(latitude=-9.0, longitude=-139.5),
    'Pacific/Nauru': Coordinates(latitude=-0.5166666666666667, longitude=166.91666666666666),
    'Pacific/Niue': Coordinates(latitude=-19.016666666666666, longitude=-169.91666666666666),
    'Pacific/Norfolk': Coordinates(latitude=-29.05, longitude=167.96666666666667),
    'Pacific/Noumea': Coordinates(latitude=-22.266666666666666, longitude=166.45),
    'Pacific/Pago_Pago': Coordinates(latitude=-14.266666666666667, longitude=-170.7),
    'Pacific/Palau': Coordinates(latitude=7.333333333333333, longitude=134.48333333333332),
    'Pacific/Pitcairn': Coordinates(latitude=-25.066666666666666, longitude=-130.08333333333334),
    'Pacific/Pohnpei': Coordinates(latitude=6.966666666666667, longitude=158.21666666666667),
    'Pacific/Port_Moresby': Coordinates(latitude=-9.5, longitude=147.16666666666666),
    'Pacific/Rarotonga': Coordinates(latitude=-21.233333333333334, longitude=-159.76666666666668),
    'Pacific/Tahiti': Coordinates(latitude=-17.533333333333335, longitude=-149.56666666666666),
    'Pacific/Tarawa': Coordinates(latitude=1.4166666666666667, longitude=173.0),
    'Pacific/Tongatapu': Coordinates(latitude=-21.166666666666668, longitude=-175.16666666666666),
    'Pacific/Wake': Coordinates(latitude=19.283333333333335, longitude=166.61666666666667),
    'Pacific/Wallis': Coordinates(latitude=-13.3, longitude=-176.16666666666666)
}
